Page MenuHomePhabricator

[Regression wmf.10] VE does not open/crashes if only a link is added/edited in a session, error in the console "jQuery.Deferred exception: Cannot read property 'height' of undefined TypeError: Cannot read property 'height' of undefined"
Closed, ResolvedPublic

Description

Steps to replicate:

  1. Open a page with VE.
  2. Insert a link or edit a link.
  3. Don't add/edit anything on the page.
  4. Save the edit.
  5. Try to reopen VE for this page from the menu bar or the section edit link.

Observed Result:

VE does not open.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterUpdate VE core submodule to master (35a2d0629)
VisualEditor/VisualEditor : masterce.LinearSelection: Don't crash when surface is not attached

Event Timeline

Ryasmeen created this task.Jun 21 2019, 7:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 21 2019, 7:28 PM
Ryasmeen triaged this task as Unbreak Now! priority.Jun 21 2019, 7:29 PM
Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptJun 21 2019, 7:29 PM
Ryasmeen renamed this task from [Regression wmf.10] VE does not open if only a link is added in a session, error in the console "load.php?debug=false&lang=en&modules=jquery&skin=vector&version=0w5wrgy:51 jQuery.Deferred exception: Cannot read property 'height' of undefined TypeError: Cannot read property 'height' of undefined" to [Regression wmf.10] VE does not open if only a link is added in a session, error in the console "jQuery.Deferred exception: Cannot read property 'height' of undefined TypeError: Cannot read property 'height' of undefined".Jun 21 2019, 7:29 PM
Ryasmeen renamed this task from [Regression wmf.10] VE does not open if only a link is added in a session, error in the console "jQuery.Deferred exception: Cannot read property 'height' of undefined TypeError: Cannot read property 'height' of undefined" to [Regression wmf.10] VE does not open/crashes if only a link is added/edited in a session, error in the console "jQuery.Deferred exception: Cannot read property 'height' of undefined TypeError: Cannot read property 'height' of undefined".Jun 21 2019, 7:31 PM
Ryasmeen updated the task description. (Show Details)

Refreshing the page resolves the issue though.

Ryasmeen updated the task description. (Show Details)Jun 21 2019, 7:37 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

I'd say that this is definitely needing an urgent fix but it's not quite so bad as to be a revert-production issue. It's relatively rare that people edit the same page twice without editing, and it's particularly rare for them to do so having only added a single link.

I'd say that this is definitely needing an urgent fix but it's not quite so bad as to be a revert-production issue. It's relatively rare that people edit the same page twice without editing, and it's particularly rare for them to do so having only added a single link.

Agreed.

Change 518330 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] ce.LinearSelection: Don't crash when surface is not attached

https://gerrit.wikimedia.org/r/518330

Change 518330 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ce.LinearSelection: Don't crash when surface is not attached

https://gerrit.wikimedia.org/r/518330

Change 518348 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (35a2d0629)

https://gerrit.wikimedia.org/r/518348

Change 518348 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (35a2d0629)

https://gerrit.wikimedia.org/r/518348

Jdforrester-WMF moved this task from Incoming to QA on the VisualEditor (Current work) board.
Jdforrester-WMF lowered the priority of this task from Unbreak Now! to High.Jun 25 2019, 10:52 PM
matmarex moved this task from Inbox to High Priority on the Editing QA board.Jun 26 2019, 8:02 PM
Ryasmeen edited projects, added Verified; removed Editing QA.Jun 26 2019, 10:14 PM
Ryasmeen moved this task from QA to Product owner review on the VisualEditor (Current work) board.
ppelberg closed this task as Resolved.Aug 6 2019, 2:34 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptAug 6 2019, 2:34 AM